Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 10-10-2018 11:21:19

Debian Alain
Adhérent(e)
Lieu : BREST
Distrib. : W$10 / stable / ubuntu / testing
Noyau : Linux 4.18.0-2-amd64 debian
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017

[Résolu] erreurs phpmyadmin 4.6.6 et 4.8.3

bonjour , big_smile

un p'tit souci de configuration avec phpmyadmin . mad

1539162937.png

phpmyadmin  a écrit :

#1045 - Access denied for user 'wpuser'@'localhost' (using password: YES)



phpmyadmin  a écrit :

mysqli_real_connect(): (HY000/1045): Access denied for user 'wpuser'@'localhost' (using password: YES)



trouvé ceci : https://www.rathishkumar.in/2017/04/err … d-YES.html

mais comprends rien . scratchhead.gif

un coup de main ? peace_flag.gif

merci . help.gif

Dernière modification par Debian Alain (11-10-2018 09:02:20)


1498812139.jpg    Antonio Vivaldi - Winter (Trance Remix) 
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

Hors ligne

#2 10-10-2018 11:54:44

Debian Alain
Adhérent(e)
Lieu : BREST
Distrib. : W$10 / stable / ubuntu / testing
Noyau : Linux 4.18.0-2-amd64 debian
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017

Re : [Résolu] erreurs phpmyadmin 4.6.6 et 4.8.3

je pense que phpmyadmin confonds 192.168.1.73 et localhost .  scratchhead.gif

comment rectifier cela ? help.gif

trouvé ceci :  https://stackoverflow.com/questions/498 … -127-0-0-1

mais l'anglais et moi , on est , disons ... pas en bons termes .

curieusement , en local , sur mon pc principal , tout va bien .

en distant , ça foire .

Dernière modification par Debian Alain (10-10-2018 12:02:22)


1498812139.jpg    Antonio Vivaldi - Winter (Trance Remix) 
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

Hors ligne

#3 10-10-2018 12:43:28

Debian Alain
Adhérent(e)
Lieu : BREST
Distrib. : W$10 / stable / ubuntu / testing
Noyau : Linux 4.18.0-2-amd64 debian
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017

Re : [Résolu] erreurs phpmyadmin 4.6.6 et 4.8.3

je n'avais pas créé d'utilisateur de  BDD mysql .

donc , https://www.hostinger.fr/tutoriels/cree … eur-mysql/

1539168149.png

1498812139.jpg    Antonio Vivaldi - Winter (Trance Remix) 
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

Hors ligne

#4 10-10-2018 12:55:57

Freemaster
Membre
Lieu : Nord
Distrib. : Debian amd64
Inscription : 31-07-2018
Site Web

Re : [Résolu] erreurs phpmyadmin 4.6.6 et 4.8.3

donc c'est réglé smile

par contre version 4.6.6 ça date un peu, on est à la 4.8.3 wink

Hors ligne

#5 10-10-2018 13:03:40

Debian Alain
Adhérent(e)
Lieu : BREST
Distrib. : W$10 / stable / ubuntu / testing
Noyau : Linux 4.18.0-2-amd64 debian
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017

Re : [Résolu] erreurs phpmyadmin 4.6.6 et 4.8.3

t'as raison freemaster ,

mais c'est la version des dépôts stretch .

remarque , tant qu'on y est , comment tu mets à jour phpmyadmin ?

Dernière modification par Debian Alain (10-10-2018 13:10:08)


1498812139.jpg    Antonio Vivaldi - Winter (Trance Remix) 
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

Hors ligne

#6 10-10-2018 13:08:03

Freemaster
Membre
Lieu : Nord
Distrib. : Debian amd64
Inscription : 31-07-2018
Site Web

Re : [Résolu] erreurs phpmyadmin 4.6.6 et 4.8.3

c'est comme la version de wordpress, celle des dépôts c'est la 4.7.5, et non 4.9.8
d'où l’intérêt de les prendre sur le site officiel

Hors ligne

#7 10-10-2018 13:49:07

Freemaster
Membre
Lieu : Nord
Distrib. : Debian amd64
Inscription : 31-07-2018
Site Web

Re : [Résolu] erreurs phpmyadmin 4.6.6 et 4.8.3

Debian Alain a écrit :

remarque , tant qu'on y est , comment tu mets à jour phpmyadmin ?


pour ma part je télécharge sur phpmyadmin.net la dernière version et je dézippe sur mon serveur
je renomme l'ancien dossier, et remet le nouveau dossier au même nom, et récupère mon fichier config.inc.php, ainsi que mon thème
et de là je supprime l'ancien dossier

Hors ligne

#8 10-10-2018 15:19:25

Debian Alain
Adhérent(e)
Lieu : BREST
Distrib. : W$10 / stable / ubuntu / testing
Noyau : Linux 4.18.0-2-amd64 debian
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017

Re : [Résolu] erreurs phpmyadmin 4.6.6 et 4.8.3

euh ... ... ... je veux bien , freemaster .

mais phpmyadmin semble installé dans /usr/share

il y a tellement de fichiers que je suis perdu .

tu confirmes le renommage de l'ancien dossier et la copie du nouveau ?

1498812139.jpg    Antonio Vivaldi - Winter (Trance Remix) 
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

Hors ligne

#9 10-10-2018 15:41:25

Freemaster
Membre
Lieu : Nord
Distrib. : Debian amd64
Inscription : 31-07-2018
Site Web

Re : [Résolu] erreurs phpmyadmin 4.6.6 et 4.8.3

moi je n'utilise pas celui de la distrib... mais oui je confirme, le dossier web suffit...

ps : n'oublie de remettre le fichier de conf, ou celui de son lien symbolique vers /etc/..

Dernière modification par Freemaster (10-10-2018 15:42:17)

Hors ligne

#10 10-10-2018 16:02:55

Debian Alain
Adhérent(e)
Lieu : BREST
Distrib. : W$10 / stable / ubuntu / testing
Noyau : Linux 4.18.0-2-amd64 debian
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017

Re : [Résolu] erreurs phpmyadmin 4.6.6 et 4.8.3

j'ai suivi ton conseil freemaster .

phpmyadmin à jour .

version 4.8.3

1539179958.png

par contre , nulle part , je n'ai trouvé de "config.inc.php"

apparemment , la  copie du dossier web a  suffi .

tout fonctionne impeccable .

Dernière modification par Debian Alain (10-10-2018 16:04:20)


1498812139.jpg    Antonio Vivaldi - Winter (Trance Remix) 
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

Hors ligne

#11 10-10-2018 16:10:29

Debian Alain
Adhérent(e)
Lieu : BREST
Distrib. : W$10 / stable / ubuntu / testing
Noyau : Linux 4.18.0-2-amd64 debian
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017

Re : [Résolu] erreurs phpmyadmin 4.6.6 et 4.8.3

j'ai parlé trop vite :

1539180532.png

Le fichier de configuration nécessite maintenant une phrase de passe secrète (blowfish_secret).

$cfg['TempDir'] (./tmp/) n'est pas accessible. phpMyAdmin est incapable de mettre en cache les modèles et de ce fait sera lent.


1498812139.jpg    Antonio Vivaldi - Winter (Trance Remix) 
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

Hors ligne

#12 10-10-2018 20:17:40

Debian Alain
Adhérent(e)
Lieu : BREST
Distrib. : W$10 / stable / ubuntu / testing
Noyau : Linux 4.18.0-2-amd64 debian
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017

Re : [Résolu] erreurs phpmyadmin 4.6.6 et 4.8.3

j'ai trouvé la solution pour phpmyadmin 4.8.3

https://devanswers.co/manually-upgrade-phpmyadmin/

1539196032.png

Dernière modification par Debian Alain (10-10-2018 20:27:48)


1498812139.jpg    Antonio Vivaldi - Winter (Trance Remix) 
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

Hors ligne

#13 11-10-2018 20:39:27

jce76350
Membre
Lieu : Rouen
Distrib. : Debian9_DF linux
Noyau : Linux xx-amd64,
(G)UI : XFCE
Inscription : 24-08-2016
Site Web

Re : [Résolu] erreurs phpmyadmin 4.6.6 et 4.8.3

Pourquoi encore utiliser PhpMyAdmin  alors que Adminer c'est plus sur et plus simple

--
Jc E

Hors ligne

#14 11-10-2018 20:42:03

Atys
Membre
Distrib. : Debian GNU/Linux 9.6 (stretch) + backports
Noyau : Linux 4.9.0-8-amd64
(G)UI : LXDE - Fluxbox - Xfce
Inscription : 28-02-2015

Re : [Résolu] erreurs phpmyadmin 4.6.6 et 4.8.3

Peu être, tu peux en dire plus ,

La liberté d’expression est un droit fondamental ouvert à tous les citoyens dans le respect des lois.

En ligne

#15 11-10-2018 20:47:27

Debian Alain
Adhérent(e)
Lieu : BREST
Distrib. : W$10 / stable / ubuntu / testing
Noyau : Linux 4.18.0-2-amd64 debian
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017

Re : [Résolu] erreurs phpmyadmin 4.6.6 et 4.8.3

les c-panels  de hostinger et de byethost (et quelques autres aussi , je crois) faisant usage de phpmyadmin , j'en conclus qu'il est encore répandu (largement ?) .

je crois donc qu'il faut faire avec , d'où mon souhait de le conserver encore .

mais je suis d'accord , adminer est plus simple à mettre en service .

et à utiliser . pour l'usage que j'en ai . (faire des sauvegardes)

Dernière modification par Debian Alain (11-10-2018 20:48:49)


1498812139.jpg    Antonio Vivaldi - Winter (Trance Remix) 
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

Hors ligne

#16 13-10-2018 14:14:22

jce76350
Membre
Lieu : Rouen
Distrib. : Debian9_DF linux
Noyau : Linux xx-amd64,
(G)UI : XFCE
Inscription : 24-08-2016
Site Web

Re : [Résolu] erreurs phpmyadmin 4.6.6 et 4.8.3

Atys a écrit :

Peu être, tu peux en dire plus ,


tu as les informations sur le lien donné mais en 3 mots
-  un seul fichier unique à gérer,
- tu peux le mettre ou tu veux,
- il suffit de te connecter, pas de config et en plus tu gère MySQL, MariaDB, PostgreSQL, SQLite, et  ...

Debian Alain a écrit :

les c-panels  de hostinger et de byethost (et quelques autres aussi , je crois) faisant usage de phpmyadmin , j'en conclus qu'il est encore répandu (largement ?) .


ce n'est pas pas que la plupart l’utilise que c'est une bonne référence cool


--
Jc E

Hors ligne

Pied de page des forums